## org.h2.tools
Class DeleteDbFiles

    java.lang.Object
      org.h2.util.Tool
          org.h2.tools.DeleteDbFiles

    public class DeleteDbFiles

extends Tool

Deletes all files belonging to a database.
The database must be closed before calling this tool.

H2.resource:

Field Summary

Fields inherited from class org.h2.util.Tool
`out`

Constructor Summary
`DeleteDbFiles()`

Method Summary
`static void` `execute(java.lang.String dir, java.lang.String db, boolean quiet)` Deletes the database files.
`static void` `main(java.lang.String... args)` Options are case sensitive.
`void` `runTool(java.lang.String... args)` Run the tool with the given output stream and arguments.

Methods inherited from class org.h2.util.Tool
`isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteDbFiles

    public DeleteDbFiles()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.sql.SQLException

  Options are case sensitive. Supported options are:

  [-help] or [-?] | Print the list of options
  [-dir <dir>] | The directory (default: .)
  [-db <database>] | The database name
  [-quiet] | Do not print progress information

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.sql.SQLException`
  H2.resource:

### runTool

    public void runTool(java.lang.String... args)
                 throws java.sql.SQLException

  Description copied from class: `Tool`
  Run the tool with the given output stream and arguments.

  Specified by:
    `runTool` in class `Tool`
  Parameters:
    `args` - the argument list
  Throws:
    `java.sql.SQLException`

### execute

    public static void execute(java.lang.String dir,
                               java.lang.String db,
                               boolean quiet)

  Deletes the database files.

  Parameters:
    `dir` - the directory
    `db` - the database name (null for all databases)
    `quiet` - don't print progress information